Patchwork samba: needs threads

login
register
mail settings
Submitter Gustavo Zacarias
Date June 9, 2013, 12:46 p.m.
Message ID <1370781998-17422-1-git-send-email-gustavo@zacarias.com.ar>
Download mbox | patch
Permalink /patch/250040/
State Accepted
Commit f0deded91247e079d84542a89a9b2a2280827181
Headers show

Comments

Gustavo Zacarias - June 9, 2013, 12:46 p.m.
As pointed by Thomas on IRC. Fixes:
http://autobuild.buildroot.net/results/24f/24fe95a7775af10c6ed7514cbc72a2189e57bc25/

Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar>
---
 package/samba/Config.in | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)
Peter Korsgaard - June 9, 2013, 7:02 p.m.
>>>>> "Gustavo" == Gustavo Zacarias <gustavo@zacarias.com.ar> writes:

 Gustavo> As pointed by Thomas on IRC. Fixes:
 Gustavo> http://autobuild.buildroot.net/results/24f/24fe95a7775af10c6ed7514cbc72a2189e57bc25/

Committed, thanks.

Patch

diff --git a/package/samba/Config.in b/package/samba/Config.in
index 0ab67ed..a3218b5 100644
--- a/package/samba/Config.in
+++ b/package/samba/Config.in
@@ -1,5 +1,6 @@ 
 config BR2_PACKAGE_SAMBA
 	bool "samba"
+	depends on BR2_TOOLCHAIN_HAS_THREADS
 	select BR2_PACKAGE_POPT
 	help
 	  Provides print services to all manner of SMB/CIFS clients,
@@ -11,6 +12,9 @@  config BR2_PACKAGE_SAMBA
 	  NOTE: A complete Samba install takes over 50MB of space,
 		so choose only the components you need.
 
+comment "samba needs a toolchain with thread support"
+	depends on !BR2_TOOLCHAIN_HAS_THREADS
+
 if BR2_PACKAGE_SAMBA
 
 config BR2_PACKAGE_SAMBA_MAX_DEBUGLEVEL
@@ -240,14 +244,13 @@  config BR2_PACKAGE_SAMBA_AVAHI
 	bool "support avahi"
 	default y
 	depends on BR2_PACKAGE_AVAHI_DAEMON
-	depends on BR2_TOOLCHAIN_HAS_THREADS # dbus
 	depends on BR2_USE_MMU # dbus
 	select BR2_PACKAGE_DBUS
 	help
 	  Include support for avahi
 
-comment "support avahi - disabled (requires avahi-daemon and thread support in toolchain)"
-	depends on !BR2_PACKAGE_AVAHI_DAEMON || !BR2_TOOLCHAIN_HAS_THREADS
+comment "support avahi - disabled (requires avahi-daemon)"
+	depends on !BR2_PACKAGE_AVAHI_DAEMON
 
 config BR2_PACKAGE_SAMBA_GAMIN
 	bool "support gamin"